Bug 957795 - (CVE-2013-7386) CVE-2013-7386 boinc-client: Format string flaw by writing account file
CVE-2013-7386 boinc-client: Format string flaw by writing account file
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130428,repor...
: Security
Depends On: 957811 957812
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-29 10:32 EDT by Jan Lieskovsky
Modified: 2015-07-31 03:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-04-29 10:32:04 EDT
Format string flaw was found in the way boinc-client, a Berkeley Open Infrastructure for Network Computing (BOINC) client for distributed computing, performed account information write / dump into corresponding XML file. An attacker could provide an account file (file containing account information) with specially-crafted value of the 'gui_urls' item that, when processed would lead to boinc-client executable crash or, potentially, arbitrary code execution with the privileges of the user running the boinc-client binary.

References:
[1] http://www.openwall.com/lists/oss-security/2013/04/28/3

Relevant upstream patch:
[2] http://boinc.berkeley.edu/gitweb/?p=boinc-v2.git;a=commitdiff;h=99258dcecba8ef36e1ce0fd6e0dacffe53613ac9
Comment 1 Jan Lieskovsky 2013-04-29 10:35:04 EDT
This issue affects the versions of the boinc-client package, as shipped with Fedora release of 17, 18, and Fedora EPEL-6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-04-29 11:01:55 EDT
Created boinc-client tracking bugs for this issue

Affects: fedora-all [bug 957811]
Comment 3 Jan Lieskovsky 2013-04-29 11:06:06 EDT
Created boinc-client tracking bugs for this issue

Affects: epel-6 [bug 957812]
Comment 4 Fedora Update System 2013-12-27 00:59:10 EST
boinc-client-7.2.33-2.git1994cc8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-12-27 01:00:07 EST
boinc-client-7.2.33-2.git1994cc8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-05-09 18:03:13 EDT
boinc-client-7.2.33-3.git1994cc8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Murray McAllister 2014-06-03 01:40:46 EDT
MITRE assigned CVE-2013-7386 to this issue.

Note You need to log in before you can comment on or make changes to this bug.